### Method

# Gsk Renderer render_texture

#### Declaration [src]

    GdkTexture*
    gsk_renderer_render_texture (
      GskRenderer* renderer,
      GskRenderNode* root,
      const graphene_rect_t* viewport
    )

#### Description [src]

Renders the scene graph, described by a tree of `GskRenderNode` instances, to a `GdkTexture`.

The `renderer` will acquire a reference on the `GskRenderNode` tree while the rendering is in progress.

If you want to apply any transformations to `root`, you should put it into a transform node and pass that node instead.

#### Parameters

`root` | `GskRenderNode`
| A `GskRenderNode`.
| The data is owned by the caller of the function.
`viewport` | `const graphene_rect_t*`
| The section to draw or `NULL` to use `root`‘s bounds.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkTexture*`
| A `GdkTexture` with the rendered contents of `root`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.